Insight
Get all vehicle summaries
Returns the summaries of all vehicles with the given requirements.
GET
/
vehicle
/
summary
Get all vehicle summaries
curl --request GET \
--url https://ctechnology.io/api/v2.2/vehicle/summary \
--header 'Authorization: <api-key>'import requests
url = "https://ctechnology.io/api/v2.2/vehicle/summary"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://ctechnology.io/api/v2.2/vehicle/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"header": {
"num_results": 123,
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
],
"offset": 123,
"limit": 123
},
"data": [
{
"timestamp": "2023-12-25",
"speed_max": 123,
"speed_avg": 123,
"distance_tot": 123,
"duration_tot": 123,
"battery_main_min": 123,
"battery_main_max": 123,
"num_trips": 123,
"fuel_used": 123,
"fuel_num_refueled": 123
}
]
}{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"error": {
"id": "<string>",
"status": 123,
"type": "<string>",
"message": "<string>",
"message_i18n": "<string>",
"data": {}
}
}{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"error": {
"id": "<string>",
"status": 123,
"type": "<string>",
"message": "<string>",
"message_i18n": "<string>",
"data": {}
}
}{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"error": {
"id": "<string>",
"status": 123,
"type": "<string>",
"message": "<string>",
"message_i18n": "<string>",
"data": {}
}
}Authorizations
Note that the API key has to be sent as Token 123 where 123 is
the key you received after logging in or by creating on the developer
dashboard.
Query Parameters
The summarization interval used. The summarization interval used to summarize vehicle data.
Available options:
day, week, quarter, month, year The starting date/time.
The ending date/time.
The role in which to act to get the summaries. This restricts the number of vehicles that are considered.
The access role of a user (when making a request that can be used in different contexts),
Available options:
owner, professional, oem ⌘I
Get all vehicle summaries

